Bug 279019 - E-mail is mark as read independently of the specified "Mark as read" time
Summary: E-mail is mark as read independently of the specified "Mark as read" time
Status: RESOLVED FIXED
Alias: None
Product: kmail2
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: OpenSUSE Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-08-01 11:00 UTC by Hugo Costelha
Modified: 2011-10-13 10:47 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 4.7.3


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Hugo Costelha 2011-08-01 11:00:39 UTC
Version:           unspecified (using KDE 4.7.0) 
OS:                Linux

Whenever I click on an e-mail, or pass through it using the keys in the message list, the e-mail is mark as read after the configured time as elapsed, independently of the time I have spent reading that e-mail.

Reproducible: Didn't try

Steps to Reproduce:
1. Select mark as read after a given time, for instance, 3 sec.
2. Use the keys to quickly go through unread e-mails.


Actual Results:  
After the specified time, all e-mails you passed through will be marked as read, even though you spent a fraction of a second in each.

Expected Results:  
E-mail should be kept as unread, given you have not spent the specified amount off time in each unread e-mail.
Comment 1 Laurent Montel 2011-10-13 10:40:49 UTC
Git commit 4d0d4f9f68ffc48e142c2decd632d9bdbcf38de4 by Montel Laurent.
Committed on 13/10/2011 at 12:18.
Pushed by mlaurent into branch 'master'.

Fix Bug 283887 - timeout on unread status doesn't work properly (restore feature as kmail1)

FIXED-IN: 4.7.3
BUG: 283887
BUG: 279019

M  +15   -14   messageviewer/markmessagereadhandler.cpp

http://commits.kde.org/kdepim/4d0d4f9f68ffc48e142c2decd632d9bdbcf38de4
Comment 2 Laurent Montel 2011-10-13 10:47:35 UTC
Git commit 12266b76f236f79aca01e2373089e486404a832c by Montel Laurent.
Committed on 13/10/2011 at 12:18.
Pushed by mlaurent into branch 'KDE/4.7'.

Fix Bug 283887 - timeout on unread status doesn't work properly (restore feature as kmail1)

FIXED-IN: 4.7.3
BUG: 283887
BUG: 279019

M  +17   -15   messageviewer/markmessagereadhandler.cpp

http://commits.kde.org/kdepim/12266b76f236f79aca01e2373089e486404a832c